#include "remstud.h"

RemStudioApp* app;

char usage[] = 
": [opts] input cam output\n"
"\n"
"Blah\n";

void
do_usage(char* argv0)
{
	cerr << "usage: " << argv0 << usage;
	exit(1);
}

int main(int argc, char** argv)
{
	RemStudioApp dlg;
	app = &dlg;

	list<string> opts;
	list<string> args;
	list<string>::iterator it;

	int i;
	for (i = 1; i < argc; i++) {
		if (argv[i][0] == '-') {
			opts.push_back(argv[i]);
		} else {
			args.push_back(argv[i]);
		}
	}

	it = args.begin();
	
	if (it == args.end()) do_usage(argv[0]);
	dlg.m_source = *it++;

	if (it == args.end()) do_usage(argv[0]);
	dlg.m_script = *it++;

	if (it == args.end()) do_usage(argv[0]);
	dlg.m_dest = *it++;

	if (it != args.end()) do_usage(argv[0]);

	dlg.Go();

	return 0;
}
