#ifndef COMMAND_H
#define COMMAND_H

// A Command is a command from a .cam file -- "1.5 stay 100 100 0" or
// "3.0 pan p" or similar.

class Command
{
public:
	string	text;     // for stufftexts of one kind or another
	float	R, G, B;  // for 'palette' and 'fade'
	float	data;     // used for various things...
	Coord	m_coord;  // the target
	string	type;     // 'pan', 'stay', ...
	float	m_time;   // the time in the command line
	float	end_time; // the end time for pan, fade, move
};

// XXX should maybe use a std::multi_map<> for this?
// or maybe not.
typedef list<Command> CmdList;

void OrderList(CmdList &List);

#endif
