#include "remstud.h"

Coord::Coord()
{
	time[0] = 0;
	time[1] = 0;
	time[2] = 0;
	offset[0] = 0;
	offset[1] = 0;
	offset[2] = 0;
	entity[0] = 0;
	entity[1] = 0;
	entity[2] = 0;
}

void Coord::from_strings(lii& strings)
{
        string TXT[3];

	TXT[0] = pop_first_word(strings);

	if (strings.begin() == strings.end()) {
		TXT[1] = TXT[0];
		TXT[2] = TXT[0];
	} else {
		TXT[1] = pop_first_word(strings);
		TXT[2] = pop_first_word(strings);
	}

	for (int i = 0; i < 3; i++) {
		string foo("~+-");
		string& txt = TXT[i];

		string::iterator it = find_first_of(txt.begin(), txt.end(),
						    foo.begin(), foo.end());

		if (it != txt.end() && txt[0] != '-') {
			string head = string(txt.begin(), it);
			string tail = string(it, txt.end());

			if (head == "p") {
				entity[i] = 1;
			} else if (head[0] == 'n') {
				entity[i] = -1;
			} else {
				entity[i] = atoi(head.c_str()+1);
			}

			if (tail[0] == '~') {
				time[i] = (float)atof(tail.c_str() + 1);
			} else {
				offset[i] = (float)atof(tail.c_str());
			}
		} else {
			if (txt == "now") {
				entity[i] = -1;
			} else if (txt == "p") {
				entity[i] = 1;
			} else if (txt[0] == 'e') {
				entity[i] = atoi(txt.c_str()+1);
			} else {
				offset[i] = (float)atof(txt.c_str());
			}
		}

 		if (entity[i] != -1)
 			interest[entity[i]] = true;
	}
}

void Coord::value(float result[3])
{
	int i;

	for (i = 0; i < 3; i++)
	{
		if (entity[i] != -1)
		{
			result[i] = offset[i];
		}

		if (entity[i] > 0)
		{
			list<EntPos>& the_list = positions[entity[i]];
			list<EntPos>::iterator it;
			float t = the_list.front().time;

			it = the_list.begin();

			while (t > (cur_time - time[i]) && it != the_list.end())
			{
				++it;
				if (it != the_list.end())
					t = it->time;
			}
			if  (it != the_list.end())
				result[i] += it->origin[i];
		}
	}
}
