#ifndef COORD_H
#define COORD_H

// A Coord is a target from the cam file, as in
//
// 2.3 stay 120 450 80
//          ^^^^^^^^^^
// Complication arises from the fact that remaic has a pretty flexible notion
// of target; each component can be given relative to the position of an
// arbitrary entity some time in the past.

class Coord
{
public:
	      Coord();

	void  value(float result[3]);
	void  from_strings(list< pair<string::iterator, string::iterator> >& str);

	float time[3];
	int   entity[3];
	float offset[3];
};

#endif
