#ifndef ENGINE_H
#define ENGINE_H

// This file seems to contain all the crap I haven't found another home for
// yet.

typedef float vec3_t[3];

#define MAX_ENTITIES 450

class EntPos
{
public:
	float time;
	vec3_t origin;

	EntPos()
	{
	}
	EntPos(float t, float* coord)
	{
		time = t;
		origin[0] = coord[0];
		origin[1] = coord[1];
		origin[2] = coord[2];
	}
};

typedef list<EntPos> EntPosList;

// XXX ARGH!  Look at all these globals :-(

extern int        Entity;
extern float      scale;
extern float      qdqscale;
extern vec3_t     cam_pos;

extern EntPosList positions[MAX_ENTITIES];
extern vec3_t     camera;
extern float      cur_time;
extern float      inter_time;
extern char 	  buffer[0x800];
extern bool 	  refilming;
extern bool 	  interest[450];
extern bool 	  debug;
extern bool 	  ReadModels;

extern char  	  level[30];
extern char* 	  sounds[256];
extern char* 	  models[256];
extern int   	  sound_num;
extern int   	  model_num;

#endif
