// The main header file.  All source files include this (and only this) header.

#ifndef REMSTUD_H
#define REMSTUD_H

#include <algorithm>
#include <list>
#include <string>
#include <iostream>
#include <fstream>
#include <map>

#include <cmath>
#include <cstdlib>

using namespace std;

typedef unsigned char byte;

#include "block.h"
#include "coord.h"
#include "command.h"
#include "camfile.h"
#include "engine.h"

class RemStudioApp
{
public:
	// call this:
	        RemStudioApp();

	// fill out these from the command line:
	int	m_shirt;
	int	m_pants;
	string	m_dest;
	string	m_script;
	string	m_source;
	bool	m_color;
	bool	m_addtext;
	bool	m_print_time;
	bool	m_remove_cprint;
	bool	m_remove_text;
	bool	m_remove_stufftext;
	bool	m_chain;
	bool	m_addblood;
	string	m_next;
	bool	m_fade;
	bool	m_minusv;
	bool	m_exittime;
	string	m_runner;
	string	m_filmer;

	// then call this:
	void    Go();

	// simple, huh?
};

extern RemStudioApp* app;

#endif
